Subject: Re: [patch 2.6.11] bonding: avoid tx balance for IGMP (alb/tlb mode)

From: Rick Jones <[email-masked]>
Date: Tue, 15 Mar 2005 16:52:14 -0800

Is that switch behaviour "normal" or "correct?"  I know next to nothing about 
what stuff like LACP should do, but asked some internal folks and they had this 
to say:

<excerpt>

<blank> treats IGMP packets the same as all other non-broadcast traffic (i.e. it
will attempt to load balance). This switch behavior seems rather odd in an
aggregated case, given the fact that most traffic (except broadcast packets)
will be load balanced by the partner device. In addition, the switch (in
theory) is suppose to treat the aggregated switch ports as 1 logical port
and therefore it should allow IGMP packets to be received back on any port
in the logical aggregation.

IMO, the switch behavior in this case seems questionable.

</excerpt>

FWIW,

rick jones